Configure default MongoDB WiredTiger cache to be 20% of RAM
03/27/2020 05:53 PM - Suresh Thirugnanasambandan

Status: Closed

Priority: High

Assignee:

Category:

Target version:

Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: 1798668 Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/492

Description
Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1798668

Description of problem:
Configure default MongoDB cache to be 20% of RAM in the Satellite server. See KCS [1] for more info.

Version-Release number of selected component (if applicable):
Satellite 6.6

How reproducible:
N/A

Steps to Reproduce:

1. Mongod process with the WiredTiger engine consumes up to 50% of RAM on Satellite. See
https://docs.mongodb.com/manual/core/wiredtiger/#memory-use On larger Satellite installations, MongoDB ends up consuming a
large amount of memory affecting other Satellite tasks.

2. With internal testing from the Performance Engineering team, it has been found that using 20% of RAM is ideal for MongoDB
WiredTiger cache.

Actual results:
There is no tuning for WiredTiger cache size so it goes on to consume up to 50% of RAM in Satellite.

Expected results:
Configure default MongoDB WiredTiger cache size to be 20% of RAM in the Satellite server.

Additional info:
[1] https://access.redhat.com/solutions/4505561

Associated revisions

Revision 650590 - 03/30/2020 01:58 PM - Suresh Thirugnanasambandan

Fixes #29426 - Configure default mongo cache size

Configuring default mongo cache size to 20% of total memory. See*
Otherwise mongo goes onto consume about 50% of total memory. See?

[1] https://access.redhat.com/solutions/4505561
[2] https://docs.mongodb.com/manual/core/wiredtiger/#memory-use

History

#1 - 03/27/2020 05:56 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/492 added

#2 - 03/30/2020 01:58 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#3 - 03/30/2020 02:01 PM - Suresh Thirugnanasambandan
- Status changed from Ready For Testing to Closed

Applied in changeset installer|f650f590729d130bfef183df6ba32275{2ef01c5.

#4 - 05/17/2020 02:19 PM - Tomer Brisker

- Subject changed from Configure default MongoDB WiredTiger cache to be 20% of RAM in the Satellite server to Configure default MongoDB
WiredTiger cache to be 20% of RAM
